#!/bin/ksh
# Syntax:  04_06.ksh db_alias1 password
# Database Monitoring Zusatzskript
# Lutz Froehlich, 2008
TIME=`date '+%Y%m%d_%H%M%S'`
PID=$$
DATAB=$1
TARGET=sys/$2@$1
SERVER=$3
SID=$4
OUTFILE1=/tmp/o1_${TIME}_${PID}.out
OUTFILE2=/tmp/o2_${TIME}_${PID}.out
EMAIL_LIST=lutz@lutzfroehlich.de
MONPWD=manager
MSG="ORA-"
echo "SET HEADING OFF
SET PAGES 0
SET FEEDBACK OFF
select (sysdate-logtime)*24 FROM healthcheck WHERE component='ALERTLOG' AND
db='$DATAB';
EXIT " |
sqlplus -s "mon_db/${MONPWD}@mon" > ${OUTFILE2}
ALERT_TIME=`cat ${OUTFILE2}`
echo $ALERT_TIME
if [ ${ALERT_TIME} -gt 1 ] ; then
echo "Error, no valid monitor entry for ${DATAB} on component ALERTLOG !"
echo "No entry for component ALERTLOG for database ${DATAB}" |
mailx -s "Monitoring Master Alert - Database $1" "${EMAIL_LIST}"
else
echo "Master monitor check OK"
fi