SET PAGESIZE 66
COLUMN num_fts FORMAT 999,999
COLUMN name FORMAT A25;
COLUMN num_rows FORMAT 999,999,999
COLUMN owner FORMAT A18
COLUMN object_owner FORMAT A14
COLUMN anz HEADING "Anz. Ausf." FORMAT 999,999
SELECT d.owner, d.name, a.num_rows,
SUM(c.executions) num_fts
FROM dba_tables a, dba_segments b, v$sqlarea c,
(SELECT DISTINCT address, object_owner owner, object_name name
FROM v$sql_plan
WHERE operation = 'TABLE ACCESS' AND options = 'FULL') d
WHERE c.address = d.address AND a.owner = b.owner
AND a.table_name = b.segment_name AND a.table_name = d.name
AND a.owner = d.owner AND a.owner not in ('SYS','SYSTEM','SYSMAN')
GROUP BY d.owner, d.name, a.num_rows, a.cache, a.buffer_pool
ORDER BY a.num_rows desc;